Debian Bug report logs - #254330
RM: atmelwlandriver -- RoQA; non-free components, orphaned, superseeded by other drivers

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Martin Michlmayr <tbm@cyrius.com>

Date: Mon, 14 Jun 2004 11:03:03 UTC

Severity: normal

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#254330; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Cc: Paul Hedderly <prh@debian.org>
Subject: O: atmelwlandriver -- Driver source for Atmel based Wireless adaptors USB/PCI/PCMCIA
Date: Mon, 14 Jun 2004 11:48:32 +0100
Package: wnpp
Severity: normal

The current maintainer of atmelwlandriver, Paul Hedderly
<prh@debian.org>, is apparently not active anymore.  Therefore, I
orphan this package now.  If you want to be the new maintainer, please
take it -- see http://www.debian.org/devel/wnpp/index.html#howto-o for
detailed instructions how to adopt a package properly.

Some information about this package:

Package: atmelwlandriver
Binary: atmelwlandriver-source, atmelwlandriver-tools
Version: 2.1.1-3.4
Priority: optional
Section: net
Maintainer: Paul Hedderly <prh@debian.org>
Build-Depends: debhelper (>= 4), libncurses5-dev
Build-Depends-Indep: perl
Architecture: any
Standards-Version: 3.5.2
Format: 1.0
Directory: pool/main/a/atmelwlandriver
Files: dd5b4091c80086b1b31c9c1fb4733eb2 663 atmelwlandriver_2.1.1-3.4.dsc
 377c489c3dd2093213e4c9a67e38480c 806925 atmelwlandriver_2.1.1.orig.tar.gz
 607409852a414cebcafc6c90ac964d5f 7495 atmelwlandriver_2.1.1-3.4.diff.gz

Package: atmelwlandriver-source
Priority: optional
Section: net
Installed-Size: 768
Maintainer: Paul Hedderly <prh@debian.org>
Architecture: all
Source: atmelwlandriver
Version: 2.1.1-3.4
Depends: debhelper (>= 4), perl, wireless-tools
Recommends: kernel-package
Filename: pool/main/a/atmelwlandriver/atmelwlandriver-source_2.1.1-3.4_all.deb
Size: 734072
MD5sum: 56773f21f9b692ddfc0dd43ae534916e
Description: Driver source for Atmel based Wireless adaptors USB/PCI/PCMCIA
 Most USB wireless adaptors need this driver since they use
 the Atmel chipset. This driver also supports Atmel based
 wireless PCMCIA cards and mini-PCI cards.
 .
 See http://atmelwlandriver.sourceforge.net/usbtable.html for
 information about your USB Wireless device
 .
 NB: This version of the driver no longer supports the intersil radios!
 .
 This packages contains the source code for the kernel module.

Package: atmelwlandriver-tools
Priority: optional
Section: net
Installed-Size: 124
Maintainer: Paul Hedderly <prh@debian.org>
Architecture: i386
Source: atmelwlandriver
Version: 2.1.1-3.4
Depends: modutils
Suggests: atmelwlandriver-modules
Filename: pool/main/a/atmelwlandriver/atmelwlandriver-tools_2.1.1-3.4_i386.deb
Size: 26842
MD5sum: 1430f89bc7167e4acb9595792409aa24
Description: Driver source for Atmel based Wireless adaptors USB/PCI/PCMCIA
 Most USB wireless adaptors need this driver since they use
 the Atmel chipset. This driver also supports Atmel based
 wireless PCMCIA cards and mini-PCI cards.
 .
 See http://atmelwlandriver.sourceforge.net/usbtable.html for
 information about your USB Wireless device
 .
 NB: This version of the driver no longer supports the intersil radios!
 .
 This package contains the optional tools which can be used to
 configure the driver.

Justification: _lots_ of NMUs, many new upstream versions, he promised he'd
have more time in a few weeks about 2 months ago, but never did anything...

-- 
Martin Michlmayr
tbm@cyrius.com



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#254330; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Martin Pitt <martin@piware.de>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #10 received at 254330@bugs.debian.org (full text, mbox):

From: Martin Pitt <martin@piware.de>
To: 254330@bugs.debian.org
Subject: Re: O: atmelwlandriver -- Driver source for Atmel based Wireless adaptors USB/PCI/PCMCIA
Date: Thu, 17 Jun 2004 11:27:45 +0200
[Message part 1 (text/plain, inline)]
Hi!

On 2004-06-14 11:48 +0100, Martin Michlmayr wrote:
> [Orphaning]
>
> Package: atmelwlandriver
> Binary: atmelwlandriver-source, atmelwlandriver-tools

For the record I just want to note that this driver is now integral
part of kernel 2.6, so if somebody adopts this package (s)he should
make sure that the tools work also with the 2.6 kernel.

Have a nice day,

Martin
-- 
Martin Pitt                 Debian GNU/Linux Developer
martin@piware.de                      mpitt@debian.org
http://www.piware.de             http://www.debian.org
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#254330; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Tim Small <tim@semantico.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #15 received at 254330@bugs.debian.org (full text, mbox):

From: Tim Small <tim@semantico.com>
To: 254330@bugs.debian.org
Subject: Re: O: atmelwlandriver -- Driver source for Atmel based Wireless adaptors USB/PCI/PCMCIA
Date: Wed, 30 Jun 2004 15:27:07 +0100
Note that this driver is largely superceded by:

1. The 2.6 kernel driver for PCI/PCMCIA cards (which is a rewrite of 
half this code)
2. at76c503a-source for USB drivers (again a rewrite, but of the other half)




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#254330; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Cosimo Alfarano <kalfa@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #20 received at 254330@bugs.debian.org (full text, mbox):

From: Cosimo Alfarano <kalfa@debian.org>
To: Tim Small <tim@semantico.com>
Cc: 254330@bugs.debian.org
Subject: Re: O: atmelwlandriver -- Driver source for Atmel based Wireless adaptors USB/PCI/PCMCIA
Date: Mon, 5 Jul 2004 14:52:29 +0200
On Wed, Jun 30, 2004 at 03:27:07PM +0100, Tim Small wrote:
> 1. The 2.6 kernel driver for PCI/PCMCIA cards (which is a rewrite of 
> half this code)
> 2. at76c503a-source for USB drivers (again a rewrite, but of the other half)

That means the old package is needed only for 2.4 kernels.
Is there someone working on it?

I've completly rewritten it yesterday for my use with the last version,
and I don't think it makes sense to do an NMU sync'g it with
upstream.

I should adopt it, but I'm unsure how this package is really useful.

cheers,
	c.



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#254330; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Ricardo Perez Lopez" <ricpelo@hotmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #25 received at 254330@bugs.debian.org (full text, mbox):

From: "Ricardo Perez Lopez" <ricpelo@hotmail.com>
To: 254330@bugs.debian.org
Subject: Atmelwlandriver is very useful
Date: Tue, 20 Jul 2004 13:43:17 +0200
I have an Atmel wireless LAN USB device.

I use atmelwlandriver.sourceforge.net driver, instead of at76c503a, because 
of:

1. It seems the atmelwlan driver works better.
2. It has very useful tools, in both console and X interfaces, called 
"lvnet" and "winter", resp. With these tools, for instance, I can do a "site 
survey" to find out the available access points.
3. These driver has support for USB, PCMCIA and PCI devices, in both kernel 
2.4.x and 2.6.x. It is, therefore, more complete than the at76c503a.
4. It is the "official" Atmel driver (or derived from it).

Please, please, can anyone does proper support of this package?

Ricardo.

_________________________________________________________________
Acepta el reto MSN Premium: Correos más divertidos con fotos y textos 
increíbles en MSN Premium. Descárgalo y pruébalo 2 meses gratis. 
http://join.msn.com?XAPID=1697&DI=1055&HL=Footer_mailsenviados_correosmasdivertidos




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#254330; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #30 received at 254330@bugs.debian.org (full text, mbox):

From: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
To: Tim Small <tim@semantico.com>, 254330@bugs.debian.org, debian-release@lists.debian.org, control@bugs.debian.org, wouter@debian.org
Subject: Re: Bug#254330: O: atmelwlandriver -- Driver source for Atmel based Wireless adaptors USB/PCI/PCMCIA
Date: Mon, 20 Sep 2004 11:24:57 +0200
reassign 254330 ftp.debian.org
retitle 254330 Please remove atmelwlandriver from sid
thanks

RoQA/M: (orphaned)

On Wed, Jun 30, 2004 at 03:27:07PM +0100, Tim Small wrote:
> Note that this driver is largely superceded by:
> 
> 1. The 2.6 kernel driver for PCI/PCMCIA cards (which is a rewrite of 
> half this code)
> 2. at76c503a-source for USB drivers (again a rewrite, but of the other half)

In addition, this driver contains non-free components, as noted by
Wouter Verhelst in #272426, and has been orphaned.

Release Team, please remove this package from testing.

--Jeroen

-- 
Jeroen van Wolffelaar
Jeroen@wolffelaar.nl (also for Jabber & MSN; ICQ: 33944357)
http://Jeroen.A-Eskwadraat.nl



Bug reassigned from package `wnpp' to `ftp.debian.org'. Request was from Jeroen van Wolffelaar <jeroen@wolffelaar.nl> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Jeroen van Wolffelaar <jeroen@wolffelaar.nl> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Frank Lichtenheld <frank@lichtenheld.de> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Martin Michlmayr <tbm@cyrius.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #41 received at 254330-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 254330-close@bugs.debian.org
Subject: Bug#254330: fixed
Date: Wed, 02 Feb 2005 16:52:08 -0500
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

atmelwlandriver |    2.1.1-4 | source
atmelwlandriver-source |    2.1.1-4 | all
atmelwlandriver-tools |    2.1.1-4 | alpha, arm, hppa, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are never removed from testing by hand.  Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 254330@bugs.debian.org.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
James Troup (the ftpmaster behind the curtain)



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 23:27:17 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.